(() => {
    if (window.location.origin === 'https://phone.aircall.io') {
        const s = document.createElement('script');
        s.src = chrome.runtime.getURL('js/extended.js');
        document.body.appendChild(s);
    } else {
        const s = document.createElement('script');
        s.src = chrome.runtime.getURL('js/aircall.js');
        document.body.appendChild(s);
    }

    chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
        if (message.action === 'air_call_analyse') {
            window.postMessage({ action: 'air_call_analyse' }, '*');
        }
    });
    window.addEventListener('message', (event) => {
        // Vérifiez l'origine si nécessaire pour plus de sécurité
        if (event.data?.action === 'air_call_list_number') {
            chrome.runtime.sendMessage({
                action: 'air_call_list_number',
                list: event.data.list,
            });
        }
    });
})();
